Index: trunk/src/lib/gui/gl_gui/glgui_bar.cc
===================================================================
--- trunk/src/lib/gui/gl_gui/glgui_bar.cc	(revision 5359)
+++ trunk/src/lib/gui/gl_gui/glgui_bar.cc	(revision 5360)
@@ -10,33 +10,21 @@
 
    ### File Specific:
-   main-programmer: ...
+   main-programmer: Benjamin Grauer
    co-programmer: ...
 */
 
-//#define DEBUG_SPECIAL_MODULE DEBUG_MODULE_
+#define DEBUG_SPECIAL_MODULE DEBUG_MODULE_GUI
 
-#include "proto_class.h"
+#include "glgui_.h"
 
 using namespace std;
 
-
 /**
  * standard constructor
- * @todo this constructor is not jet implemented - do it
 */
-ProtoClass::ProtoClass ()
+GLGui::GLGui ()
 {
-   this->setClassID(CL_PROTO_ID, "ProtoClass");
+  this->init();
 
-   /* If you make a new class, what is most probably the case when you write this file
-      don't forget to:
-       1. Add the new file new_class.cc to the ./src/Makefile.am
-       2. Add the class identifier to ./src/class_id.h eg. CL_NEW_CLASS
-
-      Advanced Topics:
-      - if you want to let your object be managed via the ObjectManager make sure to read
-        the object_manager.h header comments. You will use this most certanly only if you
-        make many objects of your class, like a weapon bullet.
-   */
 }
 
@@ -45,6 +33,23 @@
  * standard deconstructor
 */
-ProtoClass::~ProtoClass ()
+GLGui::~GLGui()
 {
-  // delete what has to be deleted here
+
 }
+
+/**
+ * initializes the GUI-element
+ */
+GLGui::init()
+{
+  this->setClassID(CL_GLGUI_, "GLGui");
+
+}
+
+/**
+ * draws the GLGui
+ */
+void GLGui::draw()
+{
+
+}
Index: trunk/src/lib/gui/gl_gui/glgui_bar.h
===================================================================
--- trunk/src/lib/gui/gl_gui/glgui_bar.h	(revision 5359)
+++ trunk/src/lib/gui/gl_gui/glgui_bar.h	(revision 5360)
@@ -1,9 +1,10 @@
 /*!
- * @file proto_class.h
- * @brief Definition of ...
-*/
+ * @file glgui_.h
+ * The gl_ widget of th openglGUI
+ *
+ */
 
-#ifndef _PROTO_CLASS_H
-#define _PROTO_CLASS_H
+#ifndef _GLGUI__H
+#define _GLGUI__H
 
 #include "base_object.h"
@@ -11,13 +12,17 @@
 // FORWARD DECLARATION
 
-
-
-//! A class for ...
-class ProtoClass : public BaseObject {
+//! This is part of the openglGUI class
+/**
+ *
+ */
+class GLGui : public GLGui {
 
  public:
-  ProtoClass();
-  virtual ~ProtoClass();
+  GLGui();
+  virtual ~GLGui();
 
+  void init();
+
+  virtual void draw();
 
  private:
@@ -25,3 +30,3 @@
 };
 
-#endif /* _PROTO_CLASS_H */
+#endif /* _GLGUI__H */
Index: trunk/src/lib/gui/gl_gui/glgui_button.cc
===================================================================
--- trunk/src/lib/gui/gl_gui/glgui_button.cc	(revision 5359)
+++ trunk/src/lib/gui/gl_gui/glgui_button.cc	(revision 5360)
@@ -10,33 +10,21 @@
 
    ### File Specific:
-   main-programmer: ...
+   main-programmer: Benjamin Grauer
    co-programmer: ...
 */
 
-//#define DEBUG_SPECIAL_MODULE DEBUG_MODULE_
+#define DEBUG_SPECIAL_MODULE DEBUG_MODULE_GUI
 
-#include "proto_class.h"
+#include "glgui_.h"
 
 using namespace std;
 
-
 /**
  * standard constructor
- * @todo this constructor is not jet implemented - do it
 */
-ProtoClass::ProtoClass ()
+GLGui::GLGui ()
 {
-   this->setClassID(CL_PROTO_ID, "ProtoClass");
+  this->init();
 
-   /* If you make a new class, what is most probably the case when you write this file
-      don't forget to:
-       1. Add the new file new_class.cc to the ./src/Makefile.am
-       2. Add the class identifier to ./src/class_id.h eg. CL_NEW_CLASS
-
-      Advanced Topics:
-      - if you want to let your object be managed via the ObjectManager make sure to read
-        the object_manager.h header comments. You will use this most certanly only if you
-        make many objects of your class, like a weapon bullet.
-   */
 }
 
@@ -45,6 +33,23 @@
  * standard deconstructor
 */
-ProtoClass::~ProtoClass ()
+GLGui::~GLGui()
 {
-  // delete what has to be deleted here
+
 }
+
+/**
+ * initializes the GUI-element
+ */
+GLGui::init()
+{
+  this->setClassID(CL_GLGUI_, "GLGui");
+
+}
+
+/**
+ * draws the GLGui
+ */
+void GLGui::draw()
+{
+
+}
Index: trunk/src/lib/gui/gl_gui/glgui_button.h
===================================================================
--- trunk/src/lib/gui/gl_gui/glgui_button.h	(revision 5359)
+++ trunk/src/lib/gui/gl_gui/glgui_button.h	(revision 5360)
@@ -1,9 +1,10 @@
 /*!
- * @file proto_class.h
- * @brief Definition of ...
-*/
+ * @file glgui_.h
+ * The gl_ widget of th openglGUI
+ *
+ */
 
-#ifndef _PROTO_CLASS_H
-#define _PROTO_CLASS_H
+#ifndef _GLGUI__H
+#define _GLGUI__H
 
 #include "base_object.h"
@@ -11,13 +12,17 @@
 // FORWARD DECLARATION
 
-
-
-//! A class for ...
-class ProtoClass : public BaseObject {
+//! This is part of the openglGUI class
+/**
+ *
+ */
+class GLGui : public GLGui {
 
  public:
-  ProtoClass();
-  virtual ~ProtoClass();
+  GLGui();
+  virtual ~GLGui();
 
+  void init();
+
+  virtual void draw();
 
  private:
@@ -25,3 +30,3 @@
 };
 
-#endif /* _PROTO_CLASS_H */
+#endif /* _GLGUI__H */
Index: trunk/src/lib/gui/gl_gui/glgui_checkbutton.cc
===================================================================
--- trunk/src/lib/gui/gl_gui/glgui_checkbutton.cc	(revision 5359)
+++ trunk/src/lib/gui/gl_gui/glgui_checkbutton.cc	(revision 5360)
@@ -10,33 +10,21 @@
 
    ### File Specific:
-   main-programmer: ...
+   main-programmer: Benjamin Grauer
    co-programmer: ...
 */
 
-//#define DEBUG_SPECIAL_MODULE DEBUG_MODULE_
+#define DEBUG_SPECIAL_MODULE DEBUG_MODULE_GUI
 
-#include "proto_class.h"
+#include "glgui_.h"
 
 using namespace std;
 
-
 /**
  * standard constructor
- * @todo this constructor is not jet implemented - do it
 */
-ProtoClass::ProtoClass ()
+GLGui::GLGui ()
 {
-   this->setClassID(CL_PROTO_ID, "ProtoClass");
+  this->init();
 
-   /* If you make a new class, what is most probably the case when you write this file
-      don't forget to:
-       1. Add the new file new_class.cc to the ./src/Makefile.am
-       2. Add the class identifier to ./src/class_id.h eg. CL_NEW_CLASS
-
-      Advanced Topics:
-      - if you want to let your object be managed via the ObjectManager make sure to read
-        the object_manager.h header comments. You will use this most certanly only if you
-        make many objects of your class, like a weapon bullet.
-   */
 }
 
@@ -45,6 +33,23 @@
  * standard deconstructor
 */
-ProtoClass::~ProtoClass ()
+GLGui::~GLGui()
 {
-  // delete what has to be deleted here
+
 }
+
+/**
+ * initializes the GUI-element
+ */
+GLGui::init()
+{
+  this->setClassID(CL_GLGUI_, "GLGui");
+
+}
+
+/**
+ * draws the GLGui
+ */
+void GLGui::draw()
+{
+
+}
Index: trunk/src/lib/gui/gl_gui/glgui_checkbutton.h
===================================================================
--- trunk/src/lib/gui/gl_gui/glgui_checkbutton.h	(revision 5359)
+++ trunk/src/lib/gui/gl_gui/glgui_checkbutton.h	(revision 5360)
@@ -1,9 +1,10 @@
 /*!
- * @file proto_class.h
- * @brief Definition of ...
-*/
+ * @file glgui_.h
+ * The gl_ widget of th openglGUI
+ *
+ */
 
-#ifndef _PROTO_CLASS_H
-#define _PROTO_CLASS_H
+#ifndef _GLGUI__H
+#define _GLGUI__H
 
 #include "base_object.h"
@@ -11,13 +12,17 @@
 // FORWARD DECLARATION
 
-
-
-//! A class for ...
-class ProtoClass : public BaseObject {
+//! This is part of the openglGUI class
+/**
+ *
+ */
+class GLGui : public GLGui {
 
  public:
-  ProtoClass();
-  virtual ~ProtoClass();
+  GLGui();
+  virtual ~GLGui();
 
+  void init();
+
+  virtual void draw();
 
  private:
@@ -25,3 +30,3 @@
 };
 
-#endif /* _PROTO_CLASS_H */
+#endif /* _GLGUI__H */
Index: trunk/src/lib/gui/gl_gui/glgui_colorselector.cc
===================================================================
--- trunk/src/lib/gui/gl_gui/glgui_colorselector.cc	(revision 5359)
+++ trunk/src/lib/gui/gl_gui/glgui_colorselector.cc	(revision 5360)
@@ -10,33 +10,21 @@
 
    ### File Specific:
-   main-programmer: ...
+   main-programmer: Benjamin Grauer
    co-programmer: ...
 */
 
-//#define DEBUG_SPECIAL_MODULE DEBUG_MODULE_
+#define DEBUG_SPECIAL_MODULE DEBUG_MODULE_GUI
 
-#include "proto_class.h"
+#include "glgui_.h"
 
 using namespace std;
 
-
 /**
  * standard constructor
- * @todo this constructor is not jet implemented - do it
 */
-ProtoClass::ProtoClass ()
+GLGui::GLGui ()
 {
-   this->setClassID(CL_PROTO_ID, "ProtoClass");
+  this->init();
 
-   /* If you make a new class, what is most probably the case when you write this file
-      don't forget to:
-       1. Add the new file new_class.cc to the ./src/Makefile.am
-       2. Add the class identifier to ./src/class_id.h eg. CL_NEW_CLASS
-
-      Advanced Topics:
-      - if you want to let your object be managed via the ObjectManager make sure to read
-        the object_manager.h header comments. You will use this most certanly only if you
-        make many objects of your class, like a weapon bullet.
-   */
 }
 
@@ -45,6 +33,23 @@
  * standard deconstructor
 */
-ProtoClass::~ProtoClass ()
+GLGui::~GLGui()
 {
-  // delete what has to be deleted here
+
 }
+
+/**
+ * initializes the GUI-element
+ */
+GLGui::init()
+{
+  this->setClassID(CL_GLGUI_, "GLGui");
+
+}
+
+/**
+ * draws the GLGui
+ */
+void GLGui::draw()
+{
+
+}
Index: trunk/src/lib/gui/gl_gui/glgui_colorselector.h
===================================================================
--- trunk/src/lib/gui/gl_gui/glgui_colorselector.h	(revision 5359)
+++ trunk/src/lib/gui/gl_gui/glgui_colorselector.h	(revision 5360)
@@ -1,9 +1,10 @@
 /*!
- * @file proto_class.h
- * @brief Definition of ...
-*/
+ * @file glgui_.h
+ * The gl_ widget of th openglGUI
+ *
+ */
 
-#ifndef _PROTO_CLASS_H
-#define _PROTO_CLASS_H
+#ifndef _GLGUI__H
+#define _GLGUI__H
 
 #include "base_object.h"
@@ -11,13 +12,17 @@
 // FORWARD DECLARATION
 
-
-
-//! A class for ...
-class ProtoClass : public BaseObject {
+//! This is part of the openglGUI class
+/**
+ *
+ */
+class GLGui : public GLGui {
 
  public:
-  ProtoClass();
-  virtual ~ProtoClass();
+  GLGui();
+  virtual ~GLGui();
 
+  void init();
+
+  virtual void draw();
 
  private:
@@ -25,3 +30,3 @@
 };
 
-#endif /* _PROTO_CLASS_H */
+#endif /* _GLGUI__H */
Index: trunk/src/lib/gui/gl_gui/glgui_container.cc
===================================================================
--- trunk/src/lib/gui/gl_gui/glgui_container.cc	(revision 5359)
+++ trunk/src/lib/gui/gl_gui/glgui_container.cc	(revision 5360)
@@ -10,33 +10,21 @@
 
    ### File Specific:
-   main-programmer: ...
+   main-programmer: Benjamin Grauer
    co-programmer: ...
 */
 
-//#define DEBUG_SPECIAL_MODULE DEBUG_MODULE_
+#define DEBUG_SPECIAL_MODULE DEBUG_MODULE_GUI
 
-#include "proto_class.h"
+#include "glgui_.h"
 
 using namespace std;
 
-
 /**
  * standard constructor
- * @todo this constructor is not jet implemented - do it
 */
-ProtoClass::ProtoClass ()
+GLGui::GLGui ()
 {
-   this->setClassID(CL_PROTO_ID, "ProtoClass");
+  this->init();
 
-   /* If you make a new class, what is most probably the case when you write this file
-      don't forget to:
-       1. Add the new file new_class.cc to the ./src/Makefile.am
-       2. Add the class identifier to ./src/class_id.h eg. CL_NEW_CLASS
-
-      Advanced Topics:
-      - if you want to let your object be managed via the ObjectManager make sure to read
-        the object_manager.h header comments. You will use this most certanly only if you
-        make many objects of your class, like a weapon bullet.
-   */
 }
 
@@ -45,6 +33,23 @@
  * standard deconstructor
 */
-ProtoClass::~ProtoClass ()
+GLGui::~GLGui()
 {
-  // delete what has to be deleted here
+
 }
+
+/**
+ * initializes the GUI-element
+ */
+GLGui::init()
+{
+  this->setClassID(CL_GLGUI_, "GLGui");
+
+}
+
+/**
+ * draws the GLGui
+ */
+void GLGui::draw()
+{
+
+}
Index: trunk/src/lib/gui/gl_gui/glgui_container.h
===================================================================
--- trunk/src/lib/gui/gl_gui/glgui_container.h	(revision 5359)
+++ trunk/src/lib/gui/gl_gui/glgui_container.h	(revision 5360)
@@ -1,9 +1,10 @@
 /*!
- * @file proto_class.h
- * @brief Definition of ...
-*/
+ * @file glgui_.h
+ * The gl_ widget of th openglGUI
+ *
+ */
 
-#ifndef _PROTO_CLASS_H
-#define _PROTO_CLASS_H
+#ifndef _GLGUI__H
+#define _GLGUI__H
 
 #include "base_object.h"
@@ -11,13 +12,17 @@
 // FORWARD DECLARATION
 
-
-
-//! A class for ...
-class ProtoClass : public BaseObject {
+//! This is part of the openglGUI class
+/**
+ *
+ */
+class GLGui : public GLGui {
 
  public:
-  ProtoClass();
-  virtual ~ProtoClass();
+  GLGui();
+  virtual ~GLGui();
 
+  void init();
+
+  virtual void draw();
 
  private:
@@ -25,3 +30,3 @@
 };
 
-#endif /* _PROTO_CLASS_H */
+#endif /* _GLGUI__H */
Index: trunk/src/lib/gui/gl_gui/glgui_cursor.cc
===================================================================
--- trunk/src/lib/gui/gl_gui/glgui_cursor.cc	(revision 5359)
+++ trunk/src/lib/gui/gl_gui/glgui_cursor.cc	(revision 5360)
@@ -10,33 +10,21 @@
 
    ### File Specific:
-   main-programmer: ...
+   main-programmer: Benjamin Grauer
    co-programmer: ...
 */
 
-//#define DEBUG_SPECIAL_MODULE DEBUG_MODULE_
+#define DEBUG_SPECIAL_MODULE DEBUG_MODULE_GUI
 
-#include "proto_class.h"
+#include "glgui_.h"
 
 using namespace std;
 
-
 /**
  * standard constructor
- * @todo this constructor is not jet implemented - do it
 */
-ProtoClass::ProtoClass ()
+GLGui::GLGui ()
 {
-   this->setClassID(CL_PROTO_ID, "ProtoClass");
+  this->init();
 
-   /* If you make a new class, what is most probably the case when you write this file
-      don't forget to:
-       1. Add the new file new_class.cc to the ./src/Makefile.am
-       2. Add the class identifier to ./src/class_id.h eg. CL_NEW_CLASS
-
-      Advanced Topics:
-      - if you want to let your object be managed via the ObjectManager make sure to read
-        the object_manager.h header comments. You will use this most certanly only if you
-        make many objects of your class, like a weapon bullet.
-   */
 }
 
@@ -45,6 +33,23 @@
  * standard deconstructor
 */
-ProtoClass::~ProtoClass ()
+GLGui::~GLGui()
 {
-  // delete what has to be deleted here
+
 }
+
+/**
+ * initializes the GUI-element
+ */
+GLGui::init()
+{
+  this->setClassID(CL_GLGUI_, "GLGui");
+
+}
+
+/**
+ * draws the GLGui
+ */
+void GLGui::draw()
+{
+
+}
Index: trunk/src/lib/gui/gl_gui/glgui_cursor.h
===================================================================
--- trunk/src/lib/gui/gl_gui/glgui_cursor.h	(revision 5359)
+++ trunk/src/lib/gui/gl_gui/glgui_cursor.h	(revision 5360)
@@ -1,9 +1,10 @@
 /*!
- * @file proto_class.h
- * @brief Definition of ...
-*/
+ * @file glgui_.h
+ * The gl_ widget of th openglGUI
+ *
+ */
 
-#ifndef _PROTO_CLASS_H
-#define _PROTO_CLASS_H
+#ifndef _GLGUI__H
+#define _GLGUI__H
 
 #include "base_object.h"
@@ -11,13 +12,17 @@
 // FORWARD DECLARATION
 
-
-
-//! A class for ...
-class ProtoClass : public BaseObject {
+//! This is part of the openglGUI class
+/**
+ *
+ */
+class GLGui : public GLGui {
 
  public:
-  ProtoClass();
-  virtual ~ProtoClass();
+  GLGui();
+  virtual ~GLGui();
 
+  void init();
+
+  virtual void draw();
 
  private:
@@ -25,3 +30,3 @@
 };
 
-#endif /* _PROTO_CLASS_H */
+#endif /* _GLGUI__H */
Index: trunk/src/lib/gui/gl_gui/glgui_element.cc
===================================================================
--- trunk/src/lib/gui/gl_gui/glgui_element.cc	(revision 5359)
+++ trunk/src/lib/gui/gl_gui/glgui_element.cc	(revision 5360)
@@ -10,33 +10,21 @@
 
    ### File Specific:
-   main-programmer: ...
+   main-programmer: Benjamin Grauer
    co-programmer: ...
 */
 
-//#define DEBUG_SPECIAL_MODULE DEBUG_MODULE_
+#define DEBUG_SPECIAL_MODULE DEBUG_MODULE_GUI
 
-#include "proto_class.h"
+#include "glgui_.h"
 
 using namespace std;
 
-
 /**
  * standard constructor
- * @todo this constructor is not jet implemented - do it
 */
-ProtoClass::ProtoClass ()
+GLGui::GLGui ()
 {
-   this->setClassID(CL_PROTO_ID, "ProtoClass");
+  this->init();
 
-   /* If you make a new class, what is most probably the case when you write this file
-      don't forget to:
-       1. Add the new file new_class.cc to the ./src/Makefile.am
-       2. Add the class identifier to ./src/class_id.h eg. CL_NEW_CLASS
-
-      Advanced Topics:
-      - if you want to let your object be managed via the ObjectManager make sure to read
-        the object_manager.h header comments. You will use this most certanly only if you
-        make many objects of your class, like a weapon bullet.
-   */
 }
 
@@ -45,6 +33,23 @@
  * standard deconstructor
 */
-ProtoClass::~ProtoClass ()
+GLGui::~GLGui()
 {
-  // delete what has to be deleted here
+
 }
+
+/**
+ * initializes the GUI-element
+ */
+GLGui::init()
+{
+  this->setClassID(CL_GLGUI_, "GLGui");
+
+}
+
+/**
+ * draws the GLGui
+ */
+void GLGui::draw()
+{
+
+}
Index: trunk/src/lib/gui/gl_gui/glgui_element.h
===================================================================
--- trunk/src/lib/gui/gl_gui/glgui_element.h	(revision 5359)
+++ trunk/src/lib/gui/gl_gui/glgui_element.h	(revision 5360)
@@ -1,9 +1,10 @@
 /*!
- * @file proto_class.h
- * @brief Definition of ...
-*/
+ * @file glgui_.h
+ * The gl_ widget of th openglGUI
+ *
+ */
 
-#ifndef _PROTO_CLASS_H
-#define _PROTO_CLASS_H
+#ifndef _GLGUI__H
+#define _GLGUI__H
 
 #include "base_object.h"
@@ -11,13 +12,17 @@
 // FORWARD DECLARATION
 
-
-
-//! A class for ...
-class ProtoClass : public BaseObject {
+//! This is part of the openglGUI class
+/**
+ *
+ */
+class GLGui : public GLGui {
 
  public:
-  ProtoClass();
-  virtual ~ProtoClass();
+  GLGui();
+  virtual ~GLGui();
 
+  void init();
+
+  virtual void draw();
 
  private:
@@ -25,3 +30,3 @@
 };
 
-#endif /* _PROTO_CLASS_H */
+#endif /* _GLGUI__H */
Index: trunk/src/lib/gui/gl_gui/glgui_image.cc
===================================================================
--- trunk/src/lib/gui/gl_gui/glgui_image.cc	(revision 5359)
+++ trunk/src/lib/gui/gl_gui/glgui_image.cc	(revision 5360)
@@ -10,33 +10,21 @@
 
    ### File Specific:
-   main-programmer: ...
+   main-programmer: Benjamin Grauer
    co-programmer: ...
 */
 
-//#define DEBUG_SPECIAL_MODULE DEBUG_MODULE_
+#define DEBUG_SPECIAL_MODULE DEBUG_MODULE_GUI
 
-#include "proto_class.h"
+#include "glgui_.h"
 
 using namespace std;
 
-
 /**
  * standard constructor
- * @todo this constructor is not jet implemented - do it
 */
-ProtoClass::ProtoClass ()
+GLGui::GLGui ()
 {
-   this->setClassID(CL_PROTO_ID, "ProtoClass");
+  this->init();
 
-   /* If you make a new class, what is most probably the case when you write this file
-      don't forget to:
-       1. Add the new file new_class.cc to the ./src/Makefile.am
-       2. Add the class identifier to ./src/class_id.h eg. CL_NEW_CLASS
-
-      Advanced Topics:
-      - if you want to let your object be managed via the ObjectManager make sure to read
-        the object_manager.h header comments. You will use this most certanly only if you
-        make many objects of your class, like a weapon bullet.
-   */
 }
 
@@ -45,6 +33,23 @@
  * standard deconstructor
 */
-ProtoClass::~ProtoClass ()
+GLGui::~GLGui()
 {
-  // delete what has to be deleted here
+
 }
+
+/**
+ * initializes the GUI-element
+ */
+GLGui::init()
+{
+  this->setClassID(CL_GLGUI_, "GLGui");
+
+}
+
+/**
+ * draws the GLGui
+ */
+void GLGui::draw()
+{
+
+}
Index: trunk/src/lib/gui/gl_gui/glgui_image.h
===================================================================
--- trunk/src/lib/gui/gl_gui/glgui_image.h	(revision 5359)
+++ trunk/src/lib/gui/gl_gui/glgui_image.h	(revision 5360)
@@ -1,9 +1,10 @@
 /*!
- * @file proto_class.h
- * @brief Definition of ...
-*/
+ * @file glgui_.h
+ * The gl_ widget of th openglGUI
+ *
+ */
 
-#ifndef _PROTO_CLASS_H
-#define _PROTO_CLASS_H
+#ifndef _GLGUI__H
+#define _GLGUI__H
 
 #include "base_object.h"
@@ -11,13 +12,17 @@
 // FORWARD DECLARATION
 
-
-
-//! A class for ...
-class ProtoClass : public BaseObject {
+//! This is part of the openglGUI class
+/**
+ *
+ */
+class GLGui : public GLGui {
 
  public:
-  ProtoClass();
-  virtual ~ProtoClass();
+  GLGui();
+  virtual ~GLGui();
 
+  void init();
+
+  virtual void draw();
 
  private:
@@ -25,3 +30,3 @@
 };
 
-#endif /* _PROTO_CLASS_H */
+#endif /* _GLGUI__H */
Index: trunk/src/lib/gui/gl_gui/glgui_menu.cc
===================================================================
--- trunk/src/lib/gui/gl_gui/glgui_menu.cc	(revision 5359)
+++ trunk/src/lib/gui/gl_gui/glgui_menu.cc	(revision 5360)
@@ -10,33 +10,21 @@
 
    ### File Specific:
-   main-programmer: ...
+   main-programmer: Benjamin Grauer
    co-programmer: ...
 */
 
-//#define DEBUG_SPECIAL_MODULE DEBUG_MODULE_
+#define DEBUG_SPECIAL_MODULE DEBUG_MODULE_GUI
 
-#include "proto_class.h"
+#include "glgui_.h"
 
 using namespace std;
 
-
 /**
  * standard constructor
- * @todo this constructor is not jet implemented - do it
 */
-ProtoClass::ProtoClass ()
+GLGui::GLGui ()
 {
-   this->setClassID(CL_PROTO_ID, "ProtoClass");
+  this->init();
 
-   /* If you make a new class, what is most probably the case when you write this file
-      don't forget to:
-       1. Add the new file new_class.cc to the ./src/Makefile.am
-       2. Add the class identifier to ./src/class_id.h eg. CL_NEW_CLASS
-
-      Advanced Topics:
-      - if you want to let your object be managed via the ObjectManager make sure to read
-        the object_manager.h header comments. You will use this most certanly only if you
-        make many objects of your class, like a weapon bullet.
-   */
 }
 
@@ -45,6 +33,23 @@
  * standard deconstructor
 */
-ProtoClass::~ProtoClass ()
+GLGui::~GLGui()
 {
-  // delete what has to be deleted here
+
 }
+
+/**
+ * initializes the GUI-element
+ */
+GLGui::init()
+{
+  this->setClassID(CL_GLGUI_, "GLGui");
+
+}
+
+/**
+ * draws the GLGui
+ */
+void GLGui::draw()
+{
+
+}
Index: trunk/src/lib/gui/gl_gui/glgui_menu.h
===================================================================
--- trunk/src/lib/gui/gl_gui/glgui_menu.h	(revision 5359)
+++ trunk/src/lib/gui/gl_gui/glgui_menu.h	(revision 5360)
@@ -1,9 +1,10 @@
 /*!
- * @file proto_class.h
- * @brief Definition of ...
-*/
+ * @file glgui_.h
+ * The gl_ widget of th openglGUI
+ *
+ */
 
-#ifndef _PROTO_CLASS_H
-#define _PROTO_CLASS_H
+#ifndef _GLGUI__H
+#define _GLGUI__H
 
 #include "base_object.h"
@@ -11,13 +12,17 @@
 // FORWARD DECLARATION
 
-
-
-//! A class for ...
-class ProtoClass : public BaseObject {
+//! This is part of the openglGUI class
+/**
+ *
+ */
+class GLGui : public GLGui {
 
  public:
-  ProtoClass();
-  virtual ~ProtoClass();
+  GLGui();
+  virtual ~GLGui();
 
+  void init();
+
+  virtual void draw();
 
  private:
@@ -25,3 +30,3 @@
 };
 
-#endif /* _PROTO_CLASS_H */
+#endif /* _GLGUI__H */
Index: trunk/src/lib/gui/gl_gui/glgui_pushbutton.cc
===================================================================
--- trunk/src/lib/gui/gl_gui/glgui_pushbutton.cc	(revision 5359)
+++ trunk/src/lib/gui/gl_gui/glgui_pushbutton.cc	(revision 5360)
@@ -10,33 +10,21 @@
 
    ### File Specific:
-   main-programmer: ...
+   main-programmer: Benjamin Grauer
    co-programmer: ...
 */
 
-//#define DEBUG_SPECIAL_MODULE DEBUG_MODULE_
+#define DEBUG_SPECIAL_MODULE DEBUG_MODULE_GUI
 
-#include "proto_class.h"
+#include "glgui_.h"
 
 using namespace std;
 
-
 /**
  * standard constructor
- * @todo this constructor is not jet implemented - do it
 */
-ProtoClass::ProtoClass ()
+GLGui::GLGui ()
 {
-   this->setClassID(CL_PROTO_ID, "ProtoClass");
+  this->init();
 
-   /* If you make a new class, what is most probably the case when you write this file
-      don't forget to:
-       1. Add the new file new_class.cc to the ./src/Makefile.am
-       2. Add the class identifier to ./src/class_id.h eg. CL_NEW_CLASS
-
-      Advanced Topics:
-      - if you want to let your object be managed via the ObjectManager make sure to read
-        the object_manager.h header comments. You will use this most certanly only if you
-        make many objects of your class, like a weapon bullet.
-   */
 }
 
@@ -45,6 +33,23 @@
  * standard deconstructor
 */
-ProtoClass::~ProtoClass ()
+GLGui::~GLGui()
 {
-  // delete what has to be deleted here
+
 }
+
+/**
+ * initializes the GUI-element
+ */
+GLGui::init()
+{
+  this->setClassID(CL_GLGUI_, "GLGui");
+
+}
+
+/**
+ * draws the GLGui
+ */
+void GLGui::draw()
+{
+
+}
Index: trunk/src/lib/gui/gl_gui/glgui_pushbutton.h
===================================================================
--- trunk/src/lib/gui/gl_gui/glgui_pushbutton.h	(revision 5359)
+++ trunk/src/lib/gui/gl_gui/glgui_pushbutton.h	(revision 5360)
@@ -1,9 +1,10 @@
 /*!
- * @file proto_class.h
- * @brief Definition of ...
-*/
+ * @file glgui_.h
+ * The gl_ widget of th openglGUI
+ *
+ */
 
-#ifndef _PROTO_CLASS_H
-#define _PROTO_CLASS_H
+#ifndef _GLGUI__H
+#define _GLGUI__H
 
 #include "base_object.h"
@@ -11,13 +12,17 @@
 // FORWARD DECLARATION
 
-
-
-//! A class for ...
-class ProtoClass : public BaseObject {
+//! This is part of the openglGUI class
+/**
+ *
+ */
+class GLGui : public GLGui {
 
  public:
-  ProtoClass();
-  virtual ~ProtoClass();
+  GLGui();
+  virtual ~GLGui();
 
+  void init();
+
+  virtual void draw();
 
  private:
@@ -25,3 +30,3 @@
 };
 
-#endif /* _PROTO_CLASS_H */
+#endif /* _GLGUI__H */
Index: trunk/src/lib/gui/gl_gui/glgui_slider.cc
===================================================================
--- trunk/src/lib/gui/gl_gui/glgui_slider.cc	(revision 5359)
+++ trunk/src/lib/gui/gl_gui/glgui_slider.cc	(revision 5360)
@@ -10,33 +10,21 @@
 
    ### File Specific:
-   main-programmer: ...
+   main-programmer: Benjamin Grauer
    co-programmer: ...
 */
 
-//#define DEBUG_SPECIAL_MODULE DEBUG_MODULE_
+#define DEBUG_SPECIAL_MODULE DEBUG_MODULE_GUI
 
-#include "proto_class.h"
+#include "glgui_.h"
 
 using namespace std;
 
-
 /**
  * standard constructor
- * @todo this constructor is not jet implemented - do it
 */
-ProtoClass::ProtoClass ()
+GLGui::GLGui ()
 {
-   this->setClassID(CL_PROTO_ID, "ProtoClass");
+  this->init();
 
-   /* If you make a new class, what is most probably the case when you write this file
-      don't forget to:
-       1. Add the new file new_class.cc to the ./src/Makefile.am
-       2. Add the class identifier to ./src/class_id.h eg. CL_NEW_CLASS
-
-      Advanced Topics:
-      - if you want to let your object be managed via the ObjectManager make sure to read
-        the object_manager.h header comments. You will use this most certanly only if you
-        make many objects of your class, like a weapon bullet.
-   */
 }
 
@@ -45,6 +33,23 @@
  * standard deconstructor
 */
-ProtoClass::~ProtoClass ()
+GLGui::~GLGui()
 {
-  // delete what has to be deleted here
+
 }
+
+/**
+ * initializes the GUI-element
+ */
+GLGui::init()
+{
+  this->setClassID(CL_GLGUI_, "GLGui");
+
+}
+
+/**
+ * draws the GLGui
+ */
+void GLGui::draw()
+{
+
+}
Index: trunk/src/lib/gui/gl_gui/glgui_slider.h
===================================================================
--- trunk/src/lib/gui/gl_gui/glgui_slider.h	(revision 5359)
+++ trunk/src/lib/gui/gl_gui/glgui_slider.h	(revision 5360)
@@ -1,9 +1,10 @@
 /*!
- * @file proto_class.h
- * @brief Definition of ...
-*/
+ * @file glgui_.h
+ * The gl_ widget of th openglGUI
+ *
+ */
 
-#ifndef _PROTO_CLASS_H
-#define _PROTO_CLASS_H
+#ifndef _GLGUI__H
+#define _GLGUI__H
 
 #include "base_object.h"
@@ -11,13 +12,17 @@
 // FORWARD DECLARATION
 
-
-
-//! A class for ...
-class ProtoClass : public BaseObject {
+//! This is part of the openglGUI class
+/**
+ *
+ */
+class GLGui : public GLGui {
 
  public:
-  ProtoClass();
-  virtual ~ProtoClass();
+  GLGui();
+  virtual ~GLGui();
 
+  void init();
+
+  virtual void draw();
 
  private:
@@ -25,3 +30,3 @@
 };
 
-#endif /* _PROTO_CLASS_H */
+#endif /* _GLGUI__H */
Index: trunk/src/lib/gui/gl_gui/glgui_text.cc
===================================================================
--- trunk/src/lib/gui/gl_gui/glgui_text.cc	(revision 5359)
+++ trunk/src/lib/gui/gl_gui/glgui_text.cc	(revision 5360)
@@ -10,33 +10,21 @@
 
    ### File Specific:
-   main-programmer: ...
+   main-programmer: Benjamin Grauer
    co-programmer: ...
 */
 
-//#define DEBUG_SPECIAL_MODULE DEBUG_MODULE_
+#define DEBUG_SPECIAL_MODULE DEBUG_MODULE_GUI
 
-#include "proto_class.h"
+#include "glgui_.h"
 
 using namespace std;
 
-
 /**
  * standard constructor
- * @todo this constructor is not jet implemented - do it
 */
-ProtoClass::ProtoClass ()
+GLGui::GLGui ()
 {
-   this->setClassID(CL_PROTO_ID, "ProtoClass");
+  this->init();
 
-   /* If you make a new class, what is most probably the case when you write this file
-      don't forget to:
-       1. Add the new file new_class.cc to the ./src/Makefile.am
-       2. Add the class identifier to ./src/class_id.h eg. CL_NEW_CLASS
-
-      Advanced Topics:
-      - if you want to let your object be managed via the ObjectManager make sure to read
-        the object_manager.h header comments. You will use this most certanly only if you
-        make many objects of your class, like a weapon bullet.
-   */
 }
 
@@ -45,6 +33,23 @@
  * standard deconstructor
 */
-ProtoClass::~ProtoClass ()
+GLGui::~GLGui()
 {
-  // delete what has to be deleted here
+
 }
+
+/**
+ * initializes the GUI-element
+ */
+GLGui::init()
+{
+  this->setClassID(CL_GLGUI_, "GLGui");
+
+}
+
+/**
+ * draws the GLGui
+ */
+void GLGui::draw()
+{
+
+}
Index: trunk/src/lib/gui/gl_gui/glgui_text.h
===================================================================
--- trunk/src/lib/gui/gl_gui/glgui_text.h	(revision 5359)
+++ trunk/src/lib/gui/gl_gui/glgui_text.h	(revision 5360)
@@ -1,9 +1,10 @@
 /*!
- * @file proto_class.h
- * @brief Definition of ...
-*/
+ * @file glgui_.h
+ * The gl_ widget of th openglGUI
+ *
+ */
 
-#ifndef _PROTO_CLASS_H
-#define _PROTO_CLASS_H
+#ifndef _GLGUI__H
+#define _GLGUI__H
 
 #include "base_object.h"
@@ -11,13 +12,17 @@
 // FORWARD DECLARATION
 
-
-
-//! A class for ...
-class ProtoClass : public BaseObject {
+//! This is part of the openglGUI class
+/**
+ *
+ */
+class GLGui : public GLGui {
 
  public:
-  ProtoClass();
-  virtual ~ProtoClass();
+  GLGui();
+  virtual ~GLGui();
 
+  void init();
+
+  virtual void draw();
 
  private:
@@ -25,3 +30,3 @@
 };
 
-#endif /* _PROTO_CLASS_H */
+#endif /* _GLGUI__H */
Index: trunk/src/lib/gui/gl_gui/glgui_textfield.cc
===================================================================
--- trunk/src/lib/gui/gl_gui/glgui_textfield.cc	(revision 5359)
+++ trunk/src/lib/gui/gl_gui/glgui_textfield.cc	(revision 5360)
@@ -10,33 +10,21 @@
 
    ### File Specific:
-   main-programmer: ...
+   main-programmer: Benjamin Grauer
    co-programmer: ...
 */
 
-//#define DEBUG_SPECIAL_MODULE DEBUG_MODULE_
+#define DEBUG_SPECIAL_MODULE DEBUG_MODULE_GUI
 
-#include "proto_class.h"
+#include "glgui_.h"
 
 using namespace std;
 
-
 /**
  * standard constructor
- * @todo this constructor is not jet implemented - do it
 */
-ProtoClass::ProtoClass ()
+GLGui::GLGui ()
 {
-   this->setClassID(CL_PROTO_ID, "ProtoClass");
+  this->init();
 
-   /* If you make a new class, what is most probably the case when you write this file
-      don't forget to:
-       1. Add the new file new_class.cc to the ./src/Makefile.am
-       2. Add the class identifier to ./src/class_id.h eg. CL_NEW_CLASS
-
-      Advanced Topics:
-      - if you want to let your object be managed via the ObjectManager make sure to read
-        the object_manager.h header comments. You will use this most certanly only if you
-        make many objects of your class, like a weapon bullet.
-   */
 }
 
@@ -45,6 +33,23 @@
  * standard deconstructor
 */
-ProtoClass::~ProtoClass ()
+GLGui::~GLGui()
 {
-  // delete what has to be deleted here
+
 }
+
+/**
+ * initializes the GUI-element
+ */
+GLGui::init()
+{
+  this->setClassID(CL_GLGUI_, "GLGui");
+
+}
+
+/**
+ * draws the GLGui
+ */
+void GLGui::draw()
+{
+
+}
Index: trunk/src/lib/gui/gl_gui/glgui_textfield.h
===================================================================
--- trunk/src/lib/gui/gl_gui/glgui_textfield.h	(revision 5359)
+++ trunk/src/lib/gui/gl_gui/glgui_textfield.h	(revision 5360)
@@ -1,9 +1,10 @@
 /*!
- * @file proto_class.h
- * @brief Definition of ...
-*/
+ * @file glgui_.h
+ * The gl_ widget of th openglGUI
+ *
+ */
 
-#ifndef _PROTO_CLASS_H
-#define _PROTO_CLASS_H
+#ifndef _GLGUI__H
+#define _GLGUI__H
 
 #include "base_object.h"
@@ -11,13 +12,17 @@
 // FORWARD DECLARATION
 
-
-
-//! A class for ...
-class ProtoClass : public BaseObject {
+//! This is part of the openglGUI class
+/**
+ *
+ */
+class GLGui : public GLGui {
 
  public:
-  ProtoClass();
-  virtual ~ProtoClass();
+  GLGui();
+  virtual ~GLGui();
 
+  void init();
+
+  virtual void draw();
 
  private:
@@ -25,3 +30,3 @@
 };
 
-#endif /* _PROTO_CLASS_H */
+#endif /* _GLGUI__H */
